Index: trunk/source/processes/electromagnetic/lowenergy/include/G4DNACrossSectionDataSet.hh
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/include/G4DNACrossSectionDataSet.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/lowenergy/include/G4DNACrossSectionDataSet.hh	(revision 961)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DNACrossSectionDataSet.hh,v 1.4 2007/10/15 08:31:49 pia Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4DNACrossSectionDataSet.hh,v 1.6 2008/03/17 13:45:25 pia Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // Author: Riccardo Capra <capra@ge.infn.it>
@@ -45,66 +45,71 @@
 // -------------------------------------------------------------------
 
-#ifndef   G4DNACROSSSECTIONDATASET_HH
- #define  G4DNACROSSSECTIONDATASET_HH 1
+#ifndef  G4DNACROSSSECTIONDATASET_HH
+#define  G4DNACROSSSECTIONDATASET_HH 1
 
- #include "G4ShellEMDataSet.hh"
+#include "G4ShellEMDataSet.hh"
 
- class G4DNACrossSectionDataSet : public G4VEMDataSet
- { 
-  public:
-   G4DNACrossSectionDataSet(G4VDataSetAlgorithm* argAlgorithm, 
-			    G4double argUnitEnergies=MeV, 
-			    G4double argUnitData=barn);
+class G4DNACrossSectionDataSet : public G4VEMDataSet
+{ 
 
-   virtual ~G4DNACrossSectionDataSet();
+public:
+  G4DNACrossSectionDataSet(G4VDataSetAlgorithm* algo, 
+			   G4double xUnit=MeV, 
+			   G4double dataUnit=barn);
 
-   virtual G4double FindValue(G4double argEnergy, G4int argComponentId=0) const;
+  virtual ~G4DNACrossSectionDataSet();
+
+  virtual G4double FindValue(G4double e, G4int componentId=0) const;
   
-   virtual void PrintData(void) const;
+  virtual void PrintData(void) const;
 
-   virtual const G4VEMDataSet*  GetComponent(G4int argComponentId) const 
-   { return components[argComponentId]; }
+  virtual const G4VEMDataSet*  GetComponent(G4int componentId) const 
+  { return components[componentId]; }
 
-   virtual void AddComponent(G4VEMDataSet * argDataSet) 
-   { components.push_back(argDataSet); }
-   virtual size_t NumberOfComponents(void) const 
-   { return components.size(); }
+  virtual void AddComponent(G4VEMDataSet* dataSet) 
+  { components.push_back(dataSet); }
 
-   virtual const G4DataVector& GetEnergies(G4int argComponentId) const 
-   { return GetComponent(argComponentId)->GetEnergies(0); }
+  virtual size_t NumberOfComponents(void) const 
+  { return components.size(); }
 
-   virtual const G4DataVector& GetData(G4int argComponentId) const 
-   { return GetComponent(argComponentId)->GetData(0); }
+  virtual const G4DataVector& GetEnergies(G4int componentId) const 
+  { return GetComponent(componentId)->GetEnergies(0); }
 
-   virtual void SetEnergiesData(G4DataVector* argEnergies, G4DataVector* argData, G4int argComponentId);
+  virtual const G4DataVector& GetData(G4int componentId) const 
+  { return GetComponent(componentId)->GetData(0); }
 
-   virtual G4bool LoadData(const G4String & argFileName);
-   virtual G4bool SaveData(const G4String & argFileName) const;
+  virtual void SetEnergiesData(G4DataVector* x, G4DataVector* values, G4int componentId);
 
-   //   void CleanUpComponents();
+  virtual G4bool LoadData(const G4String & argFileName);
+  virtual G4bool SaveData(const G4String & argFileName) const;
+ 
+  virtual G4double RandomSelect(G4int /*componentId */) const { return -1.; };
+
+
+  //   void CleanUpComponents();
    
-  private:
+private:
 
-   G4String FullFileName(const G4String & argFileName) const;
+  G4String FullFileName(const G4String & argFileName) const;
 
-   // Hide copy constructor and assignment operator 
-   G4DNACrossSectionDataSet();
-   G4DNACrossSectionDataSet(const G4DNACrossSectionDataSet & copy);
-   G4DNACrossSectionDataSet& operator=(const G4DNACrossSectionDataSet & right);
+  // Hide copy constructor and assignment operator 
+  G4DNACrossSectionDataSet();
+  G4DNACrossSectionDataSet(const G4DNACrossSectionDataSet & copy);
+  G4DNACrossSectionDataSet& operator=(const G4DNACrossSectionDataSet & right);
 
-   std::vector<G4VEMDataSet*> components;          // Owned pointers
+  std::vector<G4VEMDataSet*> components;          // Owned pointers
 
-   G4int z;
+  G4int z;
 
-   G4VDataSetAlgorithm* algorithm;           // Owned pointer 
+  G4VDataSetAlgorithm* algorithm;           // Owned pointer 
   
-   G4double unitEnergies;
-   G4double unitData; 
+  G4double unitEnergies;
+  G4double unitData; 
 
-   G4double GetUnitEnergies() const { return unitEnergies; }
-   G4double GetUnitData() const { return unitData; }
-   const G4VDataSetAlgorithm* GetAlgorithm() const { return algorithm; }
+  G4double GetUnitEnergies() const { return unitEnergies; }
+  G4double GetUnitData() const { return unitData; }
+  const G4VDataSetAlgorithm* GetAlgorithm() const { return algorithm; }
    
-   void CleanUpComponents(void);
+  void CleanUpComponents(void);
 
 
